Step 1: Send an authorization request
GET {{authPath}}/{{envID}}/as/authorize?response_type=code&client_id={{webApp4AgreementId}}&redirect_uri=https://www.google.com&scope=openid&response_mode=pi.flow
The PingOne authorization endpoint /{{envID}}/as/authorize is used to interact with the resource owner and obtain an authorization grant. The authorization request must include values for the following properties:
-
client_idA string that specifies the application’s ID.
-
response_typeA string that specifies the code or token type returned by an authorization request. For this activity, the value is
code. -
redirect_uriA string that specifies the URL that specifies the return entry point of the application. The
redirect_uriproperty value defined in the application configuration. -
scopeA string that specifies permissions that determine the resources that the application can access.
-
response_modeA Ping Identity custom response mode to specify that the authorization response parameters are encoded as a JSON object wrapped in a flow response and returned directly to the client with a 200 status.
Example Request
-
cURL
-
C#
-
Go
-
HTTP
-
Java
-
jQuery
-
NodeJS
-
Python
-
PHP
-
Ruby
-
Swift
curl --location --globoff '{{authPath}}/{{envID}}/as/authorize?response_type=code&client_id={{webApp4AgreementId}}&redirect_uri=https%3A%2F%2Fwww.google.com&scope=openid&response_mode=pi.flow'
var options = new RestClientOptions("{{authPath}}/{{envID}}/as/authorize?response_type=code&client_id={{webApp4AgreementId}}&redirect_uri=https://www.google.com&scope=openid&response_mode=pi.flow")
{
MaxTimeout = -1,
};
var client = new RestClient(options);
var request = new RestRequest("", Method.Get);
RestResponse response = await client.ExecuteAsync(request);
Console.WriteLine(response.Content);
package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "{{authPath}}/{{envID}}/as/authorize?response_type=code&client_id={{webApp4AgreementId}}&redirect_uri=https%3A%2F%2Fwww.google.com&scope=openid&response_mode=pi.flow"
method := "GET"
client := &http.Client {
}
req, err := http.NewRequest(method, url, nil)
if err != nil {
fmt.Println(err)
return
}
res, err := client.Do(req)
if err != nil {
fmt.Println(err)
return
}
defer res.Body.Close()
body, err := io.ReadAll(res.Body)
if err != nil {
fmt.Println(err)
return
}
fmt.Println(string(body))
}
GET /{{envID}}/as/authorize?response_type=code&client_id={{webApp4AgreementId}}&redirect_uri=https://www.google.com&scope=openid&response_mode=pi.flow HTTP/1.1
Host: {{authPath}}
OkHttpClient client = new OkHttpClient().newBuilder()
.build();
MediaType mediaType = MediaType.parse("text/plain");
RequestBody body = RequestBody.create(mediaType, "");
Request request = new Request.Builder()
.url("{{authPath}}/{{envID}}/as/authorize?response_type=code&client_id={{webApp4AgreementId}}&redirect_uri=https://www.google.com&scope=openid&response_mode=pi.flow")
.method("GET", body)
.build();
Response response = client.newCall(request).execute();
var settings = {
"url": "{{authPath}}/{{envID}}/as/authorize?response_type=code&client_id={{webApp4AgreementId}}&redirect_uri=https://www.google.com&scope=openid&response_mode=pi.flow",
"method": "GET",
"timeout": 0,
};
$.ajax(settings).done(function (response) {
console.log(response);
});
var request = require('request');
var options = {
'method': 'GET',
'url': '{{authPath}}/{{envID}}/as/authorize?response_type=code&client_id={{webApp4AgreementId}}&redirect_uri=https://www.google.com&scope=openid&response_mode=pi.flow',
'headers': {
}
};
request(options, function (error, response) {
if (error) throw new Error(error);
console.log(response.body);
});
import requests
url = "{{authPath}}/{{envID}}/as/authorize?response_type=code&client_id={{webApp4AgreementId}}&redirect_uri=https://www.google.com&scope=openid&response_mode=pi.flow"
payload = {}
headers = {}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
<?php
require_once 'HTTP/Request2.php';
$request = new HTTP_Request2();
$request->setUrl('{{authPath}}/{{envID}}/as/authorize?response_type=code&client_id={{webApp4AgreementId}}&redirect_uri=https://www.google.com&scope=openid&response_mode=pi.flow');
$request->setMethod(HTTP_Request2::METHOD_GET);
$request->setConfig(array(
'follow_redirects' => TRUE
));
try {
$response = $request->send();
if ($response->getStatus() == 200) {
echo $response->getBody();
}
else {
echo 'Unexpected HTTP status: ' . $response->getStatus() . ' ' .
$response->getReasonPhrase();
}
}
catch(HTTP_Request2_Exception $e) {
echo 'Error: ' . $e->getMessage();
}
require "uri"
require "net/http"
url = URI("{{authPath}}/{{envID}}/as/authorize?response_type=code&client_id={{webApp4AgreementId}}&redirect_uri=https://www.google.com&scope=openid&response_mode=pi.flow")
http = Net::HTTP.new(url.host, url.port);
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body
var request = URLRequest(url: URL(string: "{{authPath}}/{{envID}}/as/authorize?response_type=code&client_id={{webApp4AgreementId}}&redirect_uri=https%3A%2F%2Fwww.google.com&scope=openid&response_mode=pi.flow")!,timeoutInterval: Double.infinity)
request.httpMethod = "GET"
let task = URLSession.shared.dataTask(with: request) { data, response, error in
guard let data = data else {
print(String(describing: error))
return
}
print(String(data: data, encoding: .utf8)!)
}
task.resume()
Example Response
200 OK
{
"_links": {
"usernamePassword.check": {
"href": "https://auth.pingone.com/abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6/flows/03fd7752-dd53-484e-b21d-7a5edbf6e8bf"
},
"password.forgot": {
"href": "https://auth.pingone.com/abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6/flows/03fd7752-dd53-484e-b21d-7a5edbf6e8bf"
},
"self": {
"href": "https://auth.pingone.com/abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6/flows/03fd7752-dd53-484e-b21d-7a5edbf6e8bf"
},
"signOnPage": {
"href": "https://apps.pingone.com/abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6/signon/?flowId=03fd7752-dd53-484e-b21d-7a5edbf6e8bf"
}
},
"_embedded": {
"application": {
"name": "WebAppWithAgreement_1776720361"
}
},
"id": "03fd7752-dd53-484e-b21d-7a5edbf6e8bf",
"environment": {
"id": "abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6"
},
"resumeUrl": "https://auth.pingone.com/abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6/as/resume?flowId=03fd7752-dd53-484e-b21d-7a5edbf6e8bf",
"status": "USERNAME_PASSWORD_REQUIRED",
"createdAt": "2026-04-20T21:31:05.602Z",
"expiresAt": "2026-04-20T21:46:05.602Z"
}